%define debug_package %{nil}
%define _prefix /scisoft
%define _libdir %{_prefix}/lib
%define _mandir %{_prefix}/man

Name:           scisoft-common
Version:        2.0.1
Release:        1%{?dist}
Summary:        Programs for Processing and Analysis of Astronomical Data
Distribution:   Scisoft
Group:          Applications/Scientific
License:        ESO
URL:            http://www.eso.org/sci/software/scisoft
Source0:        Setup.bash.src
Source1:        Setup.csh.src
Source2:        iraf_pkg.sh
BuildArch:      noarch
BuildRequires:  perl

%description
Contains the startup environment files Setup.bash and Setup.csh for Scisoft

%prep

%build

%install
install -m 755 -d %{buildroot}%{_bindir}
install -m 644 %{SOURCE0} %{buildroot}%{_bindir}/Setup.bash
install -m 644 %{SOURCE1} %{buildroot}%{_bindir}/Setup.csh
install -m 755 %{SOURCE2} %{buildroot}%{_bindir}/iraf_pkg.sh
cd %{buildroot}%{_bindir}
perl -pi -e "s@SCISOFT_ROOT_MARKER@%{_prefix}@g"   Setup.bash Setup.csh
perl -pi -e "s@SCISOFT_BIN_MARKER@%{_bindir}@g"    Setup.bash Setup.csh
perl -pi -e "s@SCISOFT_LIB_MARKER@%{_libdir}@g"    Setup.bash Setup.csh
perl -pi -e "s@SCISOFT_MAN_MARKER@%{_mandir}@g"    Setup.bash Setup.csh
perl -pi -e "s@SCISOFT_SHARE_MARKER@%{_datadir}@g" Setup.bash Setup.csh
%if %{_arch} == x86_64
perl -pi -e "s@IRAFARCH_MARKER@linux64@g"          Setup.bash Setup.csh iraf_pkg.sh
%else
perl -pi -e "s@IRAFARCH_MARKER@linux@g"            Setup.bash Setup.csh iraf_pkg.sh
%endif

%files
%defattr(-,root,root,-)
%dir %{_prefix}
%{_bindir}

%changelog
* Wed Mar 7 2018 Artur Szostak <aszostak@partner.eso.org> 2.0.1-1
- Fixing environment variable settings for Eclipse.

* Tue Mar 6 2018 Artur Szostak <aszostak@partner.eso.org> 2.0.0-1
- Removing setting up of environment variables for old software that has been
  removed from the Scisoft distribution.
- Fixed setting of IRAFARCH environment variable.
- Moved Karma dependencies to the appropriate package.

* Thu Feb 15 2018 Artur Szostak <aszostak@partner.eso.org> 1.0.2-3
- Adding handling of the Coyote Library for IDL.

* Wed Feb 14 2018 Artur Szostak <aszostak@partner.eso.org> 1.0.2-2
- Switching to using standard macros for directory locations.
- Fixing missing directory declarations in the files section to properly cleanup
  after uninstallation.

* Fri May 5 2017 Artur Szostak <aszostak@partner.eso.org> 1.0.2-1
- Fixing setting of MIDAS library path.

* Thu May 4 2017 Artur Szostak <aszostak@partner.eso.org> 1.0.1-1
- Updating to fixed versions of setup scripts.
- Adding dependency on binutils since the karma/csh_script/uname_to_platform
  script will be invoked that calls 'nm'.

* Fri Oct 18 2013 Carlos Guirao
- Integration for scisoft 8
